Skip to main content
API referenceContracts

API Index

Last updated

GET
/api/v1

List backend API routes and response envelope metadata.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1"
{  "data": {    "artifact_contracts": [      {        "contract_version": "2026-06-29.1",        "id": "example",        "path": "/metagraph/example.json",        "schema_ref": "#/components/schemas/Example",        "status": "live",        "storage_tier": "dual"      }    ],    "base_path": "/api/v1",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "notes": "Example description.",    "openapi_url": "/api/v1/openapi.json",    "primary_domain": "api.metagraph.sh",    "response_envelope": {      "error_schema_ref": "#/components/schemas/ErrorEnvelope",      "fields": [        "ok"      ],      "notes": "Example description.",      "schema_version": 1,      "success_schema_ref": "#/components/schemas/SuccessEnvelope"    },    "routes": [      {        "artifact_path": "/metagraph/example.json",        "cache": "short",        "description": "Example description.",        "id": "example",        "method": "GET",        "path": "/api/v1/example",        "public": true,        "query_parameters": [          {            "name": "Example Subnet",            "schema": {}          }        ]      }    ],    "schema_version": 1,    "type_definitions_url": "/metagraph/types.d.ts"  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}